View Issue Details

IDProjectCategoryView StatusLast Update
0002233VALENTINA SERVERFeaturepublic2008-08-10 03:46
ReporterBart PietercilAssigned ToIvan Smahin 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0 
Summary0002233: VConnection.Isconnected NOT resetting Clienttimeout
DescriptionI would like to query the Isconnected without the server resetting the clienttimeout. This way it would be possible to let a program poll the state of a connection and when Isconnected = False present the user with the question, what to do next (maybe quit, maybe reconnect. If we want this behaviour now we need to verify Isconnected on each db call, if this feature is implemented we can poll isconnected continuously AND when not connected block all dbcall until Isconnected = TRUE.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2007-03-05 03:26 Bart Pietercil New Issue
2008-08-09 08:31 Ruslan Zasukhin Status new => assigned
2008-08-09 08:31 Ruslan Zasukhin Assigned To => Ivan Smahin
2008-08-10 03:46 Ivan Smahin Status assigned => resolved
2008-08-10 03:46 Ivan Smahin Fixed in Version => 3.6
2008-08-10 03:46 Ivan Smahin Resolution open => fixed